.clearfix::after {
	content: '';
	display: block;
	clear: both;
}

.c_animate_c {
	-webkit-transition-duration: 0.5s;
	-o-transition-duration: 0.5s;
	-moz-transition-duration: 0.5s;
	transition-duration: 0.5s;
}

.c_block_comments_c {
	font-family: sans-serif;
	position: relative;
}

.c_box_comments_c {
	border-left: transparent solid 4px;
	padding: 10px 16px 10px 16px;
}

.c_block_sort_comments_c {
	position: relative;
}

.c_sort_comments_c {
	color: #6e808f;
	font-size: 12px;
	position: relative;
	float: right;
	margin-right: 8px;
	cursor: pointer;
}

.c_sort_comments_c::after {
	content: '';
	display: inline-block;
	margin: -3px 5px;
	border-top: #6e808f solid 5px;
	border-bottom: transparent solid 5px;
	border-left: transparent solid 5px;
	border-right: transparent solid 5px;
}

.c_option_sort_comments_c {
	font-size: 12px;
	color: #6e808f;
	border: #949ea7 solid 2px;
	margin-top: 16px;
	padding: 10px;
	background: #ffffff;
	right: 8%;
	position: absolute;
	display: none;
	text-align: left;
}

.c_sort_pop_c, .c_sort_new_c, .c_sort_old_c {
	padding: 4px;
	cursor: pointer;
}

.c_block_login_c {
	display: inline-block;
}

.c_block_avatar_c img {
	width: 48px;
	height: 48px;
	float: left;
}

.c_block_avatar_c .c_avatar_guest_c {
	width: 48px;
	line-height: 48px;
	font-size: 24px;
	float: left;
	color: #FFFFFF;
	text-align: center;
}

.c_block_form_comments_c {
	margin-left: 60px;
}

.c_textarea_comments_c {
	border: #949ea7 solid 1px;
	padding: 12px 14px;
	font-size: 16px;
	outline: none;
	border-radius: 2px;
	min-height: 22px;
}

.c_button_comments_c, .c_button_answer_comments_c, .c_cancel_answer_comments_c {
	float: right;
	padding: 10px 26px;
	margin-top: 14px;
	color: #6e808f;
	border-radius: 2px;
	cursor: pointer;
	display: none;
	border: #6e808f solid 1px;
}

.c_button_comments_c:hover, .c_button_answer_comments_c:hover, .c_cancel_answer_comments_c:hover {
	color: #2d3b46;
	border: #2d3b46 solid 1px;
}

.c_block_comments_c ul {
	list-style: none;
}

.c_block_comments_c ul li {
	list-style: none;
	position: relative;
}

.c_block_comments_c > ul {
	margin: 0;
	padding: 0;
}

.c_block_body_comment_c {
	margin-left: 60px;
	font-size: 18px;
}

.c_user_admin_c {
	background: #0b9df4;
	color: #ffffff;
	font-size: 11px;
	vertical-align: top;
	padding: 0 1px;
}

.c_user_guest_c {
	background: #bf2743;
	color: #ffffff;
	font-size: 10px;
	vertical-align: top;
	padding: 0 1px;
}

.c_block_user_c {
	font-size: 14px;
	color: #0b9df4;
}

.c_block_user_c b {
	color: #949ea7;
	font-weight: normal;
	font-size: 12px;
}

.c_block_more_option_c {
	position: absolute;
	right: 0;
	top: 8px;
	font-size: 12px;
}

.c_more_option_button_c {
	background: url(img/more.png);
	background-size: cover;
	border: transparent solid 1px;
	opacity: 0.2;
	cursor: pointer;
	width: 25px;
	height: 25px;
}

.c_more_option_button_c:hover {
	opacity: 0.7;
	border: #eaeaea solid 1px;
	box-shadow: 0 0 8px #e2e2e2;
}

.c_box_more_option_c {
	background: #FFF;
	padding: 10px;
	position: absolute;
	right: 10px;
	border: #eaeaea solid 1px;
	box-shadow: 0 0 5px #e2e2e2;
	display: none;
	z-index: 999;
}

.c_option_complain_c {
	cursor: pointer;
	padding: 4px 10px;
}

.c_option_complain_c:hover {
	background: #f1f1f1;
}

.c_block_text_c {
	font-family: sans-serif;
	font-size: 16px;
	word-wrap: break-word;
	padding-top: 10px;
}

.c_footer_comments_c {
	padding: 10px 0 0;
}

.c_answer_comments_c, .c_delete_comments_c, .c_publish_comments_c, .c_trash_comments_c, .c_clean_complain_c {
	font-size: 13px;
	color: #949ea7;
	float: left;
	margin-right: 10px;
}

.c_answer_comments_c:hover, .c_delete_comments_c:hover, .c_publish_comments_c:hover, .c_trash_comments_c:hover, .c_clean_complain_c:hover {
	color: #6a7f92;
	cursor: pointer;
}

.c_block_comments_c ul ul li .c_block_avatar_c img {
	width: 40px;
	height: 40px;
}

.c_block_comments_c ul ul li .c_block_avatar_c .c_avatar_guest_c {
	width: 40px;
	line-height: 40px;
	font-size: 20px;
	float: left;
	color: #FFFFFF;
	text-align: center;
}

.c_block_head_comments_c {
	text-align: right;
	position: relative;
	border-bottom: #949ea7 solid 1px;
	padding: 8px 4px;
	margin-bottom: 8px;
}

.c_quote_comments_c {
	color: #adadad;
	font-size: 14px;
	background: #f7f7f7;
	padding: 10px 10px;
	border-left: #d2d2d2 solid 4px;
	margin-left: 20px;
}

.c_quote_comments_c .c_autor_parent_c {
	font-size: 12px;
}

.c_autor_parent_c {
	font-size: 14px;
	color: #949ea7;
	vertical-align: top;
}

.c_auth_url_c {
	cursor: pointer;
	color: #0199fe;
	margin: 0 2px;
	display: block;
}

.c_count_comments_c {
	color: #6e808f;
	float: left;
	margin-top: 4px;
	margin-right: 20px;
}

.c_autor_comments_c, .c_login_c {
	font-size: 20px;
	color: #6e808f;
	position: relative;
	margin-right: 4px;
	cursor: pointer;
	text-decoration: none;
}

.c_autor_comments_c::after {
	content: '';
	display: inline-block;
	margin: -3px 5px;
	border-top: #6e808f solid 5px;
	border-bottom: transparent solid 5px;
	border-left: transparent solid 5px;
	border-right: transparent solid 5px;
}

.c_options_comments_c {
	font-size: 14px;
	color: #6e808f;
	border: #949ea7 solid 2px;
	margin-top: 6px;
	padding: 10px;
	background: #ffffff;
	right: 5%;
	position: absolute;
	display: none;
	text-align: left;
	z-index: 9999;
}

.c_edit_user_email_c {
	background: url('img/pencil.png') center center no-repeat;
	background-size: cover;
	width: 12px;
	height: 12px;
	display: inline-block;
	cursor: pointer;
}

.c_edit_user_email_c:hover {
	background: url('img/pencil_hover.png') center center no-repeat;
	background-size: cover;
}

.c_block_edit_email_c {
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, 0.3);
	position: fixed;
	z-index: 99999;
}

.c_box_edit_email_c {
	max-width: 400px;
	background: #ffffff;
	margin: 20% auto;
	padding: 30px 40px;
	position: relative;
	box-shadow: 0 0 50px #636363;
}

.c_close_edit_email_c {
	width: 24px;
	height: 24px;
	background: url('img/close.png') center center no-repeat;
	background-size: cover;
	position: absolute;
	right: 10px;
	top: 10px;
	cursor: pointer;
}

.c_box_edit_email_c h2 {
	text-align: center;
	margin: 0;
	font-family: sans-serif;
	font-weight: normal;
	font-size: 22px;
}

.c_edit_email_input_c {
	padding: 10px;
	font-size: 18px;
	width: 94%;
	margin: 20px 0;
	border: darkgrey solid 1px;
}

.c_edit_email_button_c {
	font-size: 16px;
	padding: 8px;
}

.c_exit_comments_c {
	cursor: pointer;
}

.c_error_null_c {
	color: red;
	position: absolute;
	font-size: 14px;
}

.c_notice_c {
	position: fixed;
	left: 10px;
	bottom: 10px;
	color: #FFF;
	background: rgba(0, 0, 0, 0.7);
	padding: 40px;
	font-size: 24px;
	font-family: sans-serif;
	z-index: 99999;
}

.c_block_like_c {
	float: left;
}

.c_like_count_c {
	float: left;
	color: #949ea7;
	font-size: 13px;
}

.c_like_c {
	background: url('img/like.png') no-repeat;
	background-size: cover;
	width: 14px;
	height: 14px;
	float: left;
	margin: 0 10px;
	opacity: 0.1;
}

.c_dislike_c {
	background: url('img/dislike.png') no-repeat;
	background-size: cover;
	width: 14px;
	height: 14px;
	float: left;
	opacity: 0.1;
}

.c_like_c:hover, .c_dislike_c:hover {
	opacity: 0.3;
}

.c_no_comments_c {
	text-align: center;
	padding: 20px 0;
	font-size: 25px;
	opacity: 0.4;
}

.c_more_comments_c {
	font-size: 12px;
	text-align: right;
	margin-top: 4px;
}

.c_more_comments_c b {
	cursor: pointer;
	font-weight: normal;
	color: #0b9df4;
}

.c_more_comments_display_c {
	display: none;
}

.c_load_more_comments_c {
	text-align: center;
	padding: 20px 0;
	color: #6e808f;
	cursor: pointer;
	border: #6e808f solid 1px;
	border-radius: 100px;
	width: 58px;
	margin: auto;
}

.c_load_more_comments_c:hover {
	border: #4b5761 solid 1px;
	color: #4b5761;
}

/**************************************************/
.c_block_loading_c {
	position: fixed;
	width: 100%;
	top: 0;
	z-index: 99999;
}

.c_loading_c {
	width: 0;
	background: #c71818;
	height: 3px;
}

.c_loading_edit_email_c {
	position: static;
	background: url(img/loading.gif) center center no-repeat;
	background-size: cover;
	width: 26px;
	height: 26px;
	margin: 0 20px -8px;
	display: inline-block;
}

.c_full_answer_block_c {
	position: fixed;
	width: 100%;
	height: 100%;
	z-index: 9999;
	top: 0;
	left: 0;
	background: rgba(0, 0, 0, 0.50);
}

.c_float_answer_block_c {
	position: relative;
	background: #FFF;
	width: 90%;
	top: 50%;
	margin: auto;
	padding: 0 0 26px 0;
}

.c_cancel_answer_comments_c {
	display: block;
	text-align: center;
	float: none;
}

.c_drag_c {
	width: 34px;
	height: 30px;
	margin: auto;
	padding: 0px 0;
	background: url(img/drop.png) no-repeat;
	background-size: contain;
}

.c_delete_allow_c {
	position: fixed;
	top: 0;
	height: 100%;
	z-index: 9999;
	font-family: sans-serif;
}

.c_block_delete_allow_c {
	position: relative;
	top: 50%;
	width: 300px;
	height: 120px;
	background: #ececec;
	text-align: center;
	box-shadow: #ececec 0 0 40px;
	margin: -60px auto;
}

.c_box_delete_allow_c {
	padding: 20px;
}

.c_cont_delete_allow_c {
	margin: 20px 0;
	text-align: center;
}

.c_button_delete_comments_c {
	display: inline-block;
	border: #CCC solid 1px;
	padding: 8px 14px;
	background: linear-gradient(to top, #dcdcdc, #FFF);
	font-size: 14px;
	display: inline-block;
	cursor: pointer;
	margin-right: 10px;
}

.c_delete_cancel_c {
	display: inline-block;
	border: #CCC solid 1px;
	padding: 8px 14px;
	background: linear-gradient(to top, #dcdcdc, #FFF);
	font-size: 14px;
	display: inline-block;
	cursor: pointer;
	margin-right: 10px;
}

.c_block_complain_note_c {
	position: fixed;
	width: 100%;
	height: 100%;
	z-index: 9999;
	font-family: sans-serif;
}

.c_box_complain_note_c {
	background: #FFF;
	margin: auto;
	width: 50%;
	min-width: 210px;
	position: relative;
	border-left: 20px solid #FFF;
	border-right: 20px solid #FFF;
	border-bottom: 5px solid #FFF;
	box-shadow: 0px 0px 40px #e2e2e2;
}

#c_complain_note_c {
	min-height: 80px;
	font-size: 16px;
	padding: 5px;
	border: #949ea7 solid 1px;
	overflow: auto;
}

.c_save_complain_c {
	border: #CCC solid 1px;
	padding: 8px 14px;
	background: linear-gradient(to top, #dcdcdc, #FFF);
	font-size: 14px;
	display: inline-block;
	cursor: pointer;
	margin-right: 10px;
}

.c_cancel_complain_c {
	border: #CCC solid 1px;
	padding: 8px 14px;
	background: linear-gradient(to top, #dcdcdc, #FFF);
	font-size: 14px;
	display: inline-block;
	cursor: pointer;
}

.c_message_error_c {
	color: red;
	font-family: sans-serif;
	font-weight: normal;
	margin-left: 20px;
}

.c_loaded_for_link_c {
	text-align: center;
	padding: 15px;
	margin-top: 20px;
	background: #fff1c9;
	color: #6e808f;
}

.c_guest_login_block_c {
	width: 100%;
	display: none;
}

.с_notice_no_authorize_с {
	background: #cc4857;
	color: #FFFFFF;
	font-size: 14px;
	padding: 6px 10px;
	margin: 4px auto 8px;
	text-align: center;

}

.c_guest_name_c {
	border: #949ea7 solid 1px;
	padding: 8px 10px;
	font-size: 17px;
	outline: none;
	margin: 4px 0;
	min-height: 20px;
}

.c_guest_login_button_c {
	background: #778999;
	color: #FFF;
	padding: 10px 18px;
	font-size: 18px;
	display: inline-block;
	text-align: center;
	cursor: pointer;
	vertical-align: middle;
}

.c_placeholder_c {
	color: #b1b1b1;
}

.c_error_notice_guest_c {
	color: red;
	font-size: 14px;
	margin-bottom: 10px;
}

.c_block_avatar_c {
	position: relative;
	float: left;
}

/******************** Иконки соц.сетей под аватар *********************/
.c_vkAuthIcon_c::after, .c_okAuthIcon_c::after, .c_fbAuth_c::after, .c_gAuth_c::after, .c_mailAuth_c::after, .c_yaAuth_c::after, .c_twAuth_c::after {
	content: '';
	width: 20px;
	height: 20px;
	display: block;
	position: absolute;
	bottom: -5px;
	right: -5px;
	border-radius: 30px;
}

.c_vkAuthIcon_c::after {
	background: url("img/social_button.png") 0 bottom;
	background-size: 100px 40px;
}

.c_okAuthIcon_c::after {
	background: url("img/social_button.png") right bottom;
	background-size: 100px 40px;
}

.c_fbAuth_c::after {
	background: url("img/social_button.png") 40px top;
	background-size: 100px 40px;
}

.c_gAuth_c::after {
	background: url("img/social_button.png") left top;
	background-size: 100px 40px;
}

.c_mailAuth_c::after {
	background: url("img/social_button.png") 80px bottom;
	background-size: 100px 40px;
}

.c_yaAuth_c::after {
	background: url("img/social_button.png") 60px bottom;
	background-size: 100px 40px;
}

.c_twAuth_c::after {
	background: url("img/social_button.png") 80px top;
	background-size: 100px 40px;
}

/************************* Адаптация под разрешения экрана **********************************/
@media screen and (max-width: 400px) {
	.c_block_comments_c ul {
		padding: 5px 8px;
	}

	.c_block_comments_c > ul > li {
		border-top: #e6e6e6 solid 1px;
		padding: 16px 0;
	}

	.c_box_comments_c {
		padding: 6px 10px 6px 10px;
	}

	.c_block_avatar_c img {
		width: 43px;
		height: 43px;
	}

	.c_block_avatar_c .c_avatar_guest_c {
		width: 43px;
		padding: 8px 0;
		font-size: 24px;
	}

	.c_block_comments_c ul ul li .c_block_avatar_c img {
		width: 35px;
		height: 35px;
		margin-left: 8px;
	}

	.c_block_comments_c ul ul li .c_block_avatar_c .c_avatar_guest_c {
		width: 35px;
		padding: 6px 0;
		font-size: 20px;
	}

	.c_block_body_comment_c {
		margin-left: 52px;
	}

	.c_count_comments_c {
		font-size: 13px;
		float: none;
		text-align: left;
	}

	.c_autor_comments_c, .c_login_c {
		font-size: 17px;
	}

	.c_block_user_c {
		font-size: 12px;
	}

	.c_block_user_c b {
		font-size: 11px;
		display: block;
	}

	.c_autor_parent_c {
		font-size: 12px;
	}

	.c_block_text_c {
		font-size: 13px;
		padding-top: 5px;
	}

	.c_answer_comments_c, .c_delete_comments_c, .c_publish_comments_c, .c_trash_comments_c, .c_clean_complain_c {
		font-size: 11px;
		margin-right: 6px;
	}

	.c_textarea_comments_c {
		font-size: 14px;
	}

	.c_button_comments_c, .c_button_answer_comments_c, .c_cancel_answer_comments_c {
		font-size: 14px;
		padding: 7px 16px;
	}

	.c_footer_comments_c {
		padding-top: 5px;
	}

	.c_block_like_c {
		font-size: 11px;
	}

	.c_like_c, .c_dislike_c {
		width: 12px;
		height: 12px;
	}

	.c_answer_block_c {
		margin: 0 -20px 0 -30px;
	}
}